Bug 1264945 - (mallard-rng) Review Request: mallard-rng - RELAX NG schemas for all Mallard versions
Review Request: mallard-rng - RELAX NG schemas for all Mallard versions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 13:20 EDT by David King
Modified: 2016-05-07 07:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:51:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description David King 2015-09-21 13:20:00 EDT
Spec URL: https://amigadave.fedorapeople.org/mallard-rng.spec
SRPM URL: https://amigadave.fedorapeople.org/mallard-rng-1.0.1-1.fc24.src.rpm
Description: RELAX NG schemas for all Mallard versions and extensions that have been marked final.
Fedora Account System Username: amigadave
Comment 1 Mario Blättermann 2016-03-20 17:51:38 EDT
Currently Koji scratch build seems to don't work for me... I did a local f23 build.

$ rpmlint -i -v *
mallard-rng.noarch: I: checking
mallard-rng.noarch: W: spelling-error Summary(en_US) schemas -> schema, sachems, schemes
The value of this tag appears to be misspelled. Please double-check.

mallard-rng.noarch: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
The value of this tag appears to be misspelled. Please double-check.

mallard-rng.noarch: I: checking-url http://projectmallard.org/download/ (timeout 10 seconds)
mallard-rng.src: I: checking
mallard-rng.src: W: spelling-error Summary(en_US) schemas -> schema, sachems, schemes
The value of this tag appears to be misspelled. Please double-check.

mallard-rng.src: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
The value of this tag appears to be misspelled. Please double-check.

mallard-rng.src: I: checking-url http://projectmallard.org/download/ (timeout 10 seconds)
mallard-rng.src: I: checking-url http://projectmallard.org/download/mallard-rng-1.0.1.tar.bz2 (timeout 10 seconds)
mallard-rng.spec: I: checking
mallard-rng.spec: I: checking-url http://projectmallard.org/download/mallard-rng-1.0.1.tar.bz2 (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 4 warnings.


Besides a false positive spelling error, nothing of interest. First I wasn't sure about the directory ownership of %{_datadir}/xml (already owned by xml-common), but it is pulled automatically:

$ rpm -qpR mallard-rng-1.0.1-1.fc23.noarch.rpm
/bin/sh
/bin/sh
/usr/bin/xmlcatalog
/usr/bin/xmlcatalog
config(mallard-rng) = 1.0.1-1.fc23
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
xml-common
xml-common


OK, here we go:

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    58c3c266d4b50a9e760500d5d87ca79e067d7da779e88c2cafecd3baa59a3b17  mallard-rng-1.0.1.tar.bz2
    58c3c266d4b50a9e760500d5d87ca79e067d7da779e88c2cafecd3baa59a3b17  mallard-rng-1.0.1.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 2 Mario Blättermann 2016-03-20 17:53:31 EDT
BTW, the current version of mallard-rng is 1.0.2. Don't forget to update when importing your package into the Git repo.
Comment 3 Mario Blättermann 2016-04-14 12:06:46 EDT
Hm, any news about this?
Comment 4 Kevin Fenzi 2016-04-23 12:29:34 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mallard-rng
Comment 5 Fedora Update System 2016-04-26 06:42:49 EDT
mallard-rng-1.0.2-1.fc24 yelp-tools-3.18.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-63b0ce79a0
Comment 6 Fedora Update System 2016-04-26 12:21:54 EDT
mallard-rng-1.0.2-1.fc24, yelp-tools-3.18.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-63b0ce79a0
Comment 7 Fedora Update System 2016-05-07 07:51:12 EDT
mallard-rng-1.0.2-1.fc24, yelp-tools-3.18.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.